Subject: Re: 2.6.19-rc1: Volanomark slowdown

From: John Heffner <[email-masked]>
Date: Tue, 07 Nov 2006 17:29:02 -0500

David Miller wrote:
> From: John Heffner <[email-masked]>
> Date: Tue, 07 Nov 2006 16:50:33 -0500
> 
>> The only stack I know of that does this currently is linux, and in doing 
>> so does not conform to the spec. ;)  Sending to a BSD receiver will 
>> result in the same behavior, so the "right place" to fix this is on the 
>> sending side.  (I know the issue of packet vs. byte counting has come up 
>> many times over the last 10 years or so, and many arguments have been 
>> made on either side... I don't mean this to be flame bait but it's clear 
>> what will happen in this scenario.)
> 
> John, you cannot change the N-million existing Linux systems
> out there doing congestion control via byte counting.  You
> cannot do this no matter how much you wish it so :-)

That would make our lives easier, wouldn't it? ;)  Clearly there are 
some combinations of TCP stacks out there that won't interoperate well 
under certain workloads.  Making new versions of the stack work well is 
the best we can hope for...

Fixing the sending side does not mean we have to back out the 
work-around on the receiving side.

   -John